%define name wv
%define version 1.2.9

%define api_version 1.2
%define lib_major   4
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define develname   %mklibname -d %name

Summary: MSWord 6/7/8/9 binary file format -> HTML converter
Name: %{name}
Version: %{version}
Release: %mkrel 1
License: GPLv2
Group: Office
URL: http://www.abisource.com/downloads/wv/
Source: http://www.abisource.com/downloads/wv/%{version}/wv-%{version}.tar.xz
Patch0: %{name}-1.2.4-fix-str-fmt.patch
BuildRequires: glib2-devel
BuildRequires: libxml2-devel
BuildRequires: pkgconfig(libgsf-1) >= 1.13.0
BuildRequires: zlib-devel
Obsoletes: mswordview 
Provides: mswordview


%description
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

%package -n %{lib_name}
Summary: Library used by wv
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%description -n %{lib_name}
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This package provides the library that is used by wv.

%package -n %{develname}
Summary: MSWord 6/7/8/9 binary file format -> HTML converter (development)
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}

%description -n %{develname}
Wv is a program that understands the Microsoft Word 6/7/8/9
binary file format and is able to convert Word
documents into HTML, which can then be read with a browser.

This is the development package.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .strfmt

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
ln -sf wvConvert $RPM_BUILD_ROOT/%{_bindir}/wvText
rm -f notes/decompress/a.out

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/wv
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwv-%{api_version}.so.%{lib_major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/wv
%{_libdir}/libwv.so
%{_libdir}/pkgconfig/wv-1.0.pc


%changelog
* Sat Sep 03 2016 adrianomorselli <adrianomorselli> 1.2.9-1uplos2011
- rebuild

* Fri Oct 21 2011 Texstar <texstar at gmail.com> 1.2.9-1pclos2011
- 1.2.9
